/*
 * ======== bravo/math2/SineGen.xs ========
 */
 
function module$static$init(obj, mod)
{
    mod.sineTab.length = mod.sineTabSize;
    var incr = Math.PI / (mod.sineTabSize / 2);
 
    for (var i = 0; i < mod.sineTabSize; i++) {
        mod.sineTab[i] = Math.round(Math.sin(incr * i) * mod.MAXVALUE);
    }
}
 
function instance$static$init(obj, params, mod)
{
    obj.shift = 15;
    for (var r = params.range; r > 0; r >>= 1) {
        --obj.shift;
    }
 
    obj.step = mod.sineTabSize * params.freq / params.rate;
    obj.index = 0;
}
